<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Combat_Docu: LevelSelectManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Combat_Docu
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_level_select_manager-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">LevelSelectManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for LevelSelectManager:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_level_select_manager.png" usemap="#LevelSelectManager_map" alt=""/>
  <map id="LevelSelectManager_map" name="LevelSelectManager_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5566d9a47dd35d522ee057e090a0c53e"><td class="memItemLeft" align="right" valign="top">string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#a5566d9a47dd35d522ee057e090a0c53e">levelTags</a></td></tr>
<tr class="separator:a5566d9a47dd35d522ee057e090a0c53e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a743721395b52b53b493276548074b0e4"><td class="memItemLeft" align="right" valign="top">GameObject[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#a743721395b52b53b493276548074b0e4">locks</a></td></tr>
<tr class="separator:a743721395b52b53b493276548074b0e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4099e2d6d65a0e8d34909d46cf312146"><td class="memItemLeft" align="right" valign="top">bool[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#a4099e2d6d65a0e8d34909d46cf312146">levelUnlocked</a></td></tr>
<tr class="separator:a4099e2d6d65a0e8d34909d46cf312146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d5302775d4215a2a227fce5510a2348"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#a8d5302775d4215a2a227fce5510a2348">positionSelector</a></td></tr>
<tr class="separator:a8d5302775d4215a2a227fce5510a2348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabd9b6c020ee8c56f08520c99c4d28e9"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#aabd9b6c020ee8c56f08520c99c4d28e9">distanceBelowLock</a></td></tr>
<tr class="separator:aabd9b6c020ee8c56f08520c99c4d28e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a927f7f1dd2aa2f8111c4c9f2c1e3ddcb"><td class="memItemLeft" align="right" valign="top">string[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#a927f7f1dd2aa2f8111c4c9f2c1e3ddcb">levelName</a></td></tr>
<tr class="separator:a927f7f1dd2aa2f8111c4c9f2c1e3ddcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2441d09faf7d0a7e4872fcec3315a626"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#a2441d09faf7d0a7e4872fcec3315a626">moveSpeed</a></td></tr>
<tr class="separator:a2441d09faf7d0a7e4872fcec3315a626"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa44164db7a35cbf683264571c1726dc3"><td class="memItemLeft" align="right" valign="top">AudioSource&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#aa44164db7a35cbf683264571c1726dc3">AudioSel1</a></td></tr>
<tr class="separator:aa44164db7a35cbf683264571c1726dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92a87fcff035b2c95ef6834d0b337ea8"><td class="memItemLeft" align="right" valign="top">AudioSource&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_level_select_manager.html#a92a87fcff035b2c95ef6834d0b337ea8">AudioSel2</a></td></tr>
<tr class="separator:a92a87fcff035b2c95ef6834d0b337ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="aa44164db7a35cbf683264571c1726dc3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AudioSource LevelSelectManager.AudioSel1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a92a87fcff035b2c95ef6834d0b337ea8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AudioSource LevelSelectManager.AudioSel2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aabd9b6c020ee8c56f08520c99c4d28e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float LevelSelectManager.distanceBelowLock</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a927f7f1dd2aa2f8111c4c9f2c1e3ddcb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string [] LevelSelectManager.levelName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5566d9a47dd35d522ee057e090a0c53e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string [] LevelSelectManager.levelTags</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a4099e2d6d65a0e8d34909d46cf312146"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool [] LevelSelectManager.levelUnlocked</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a743721395b52b53b493276548074b0e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject [] LevelSelectManager.locks</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2441d09faf7d0a7e4872fcec3315a626"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float LevelSelectManager.moveSpeed</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a8d5302775d4215a2a227fce5510a2348"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int LevelSelectManager.positionSelector</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Users/Ron Alpha/Desktop/team22cs243/2Darcade/Assets/scripts/<a class="el" href="_level_select_manager_8cs.html">LevelSelectManager.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
